opari2(1)

NAME
opari - source to source OpenMP program instrumentor

SYNOPSIS
opari
   [-f70|-f90|-c|-c++]
   [-disable <construct>[,<construct>]...]
   [-rcfile file] [-table <tabfile>] <infile> [<outfile>]
opari
   [-rcfile <file>] -table <tabfile>

DESCRIPTION
Before compiling the source files of an OpenMP application, each file needs to be transformed by a call to the OPARI tool. In addition, the application has to be linked against the pomp runtime measurement library and the OPARI runtime table file. The latter has to be generated by using the -table option to OPARI either together with the transformation of the last input source file or with a separate call to OPARI after all transformations are done.

If the output file name is not specified, OPARI uses the name infile.mod.suffix if the input file is called infile.suffix.

OPTIONS

-f70, -f90, -c, -c++
    [OPTIONAL] Specifies the programming language of the input source file. This option is only necessary if the automatic language detection based on the input file suffix fails.

-rcfile <file>
    [OPTIONAL] OPARI uses the file ./opari.rc to preserve state information between calls o OPARI if the OpenMP application consists of more than one source file. With the -rcfile option the file file is used instead. This can be useful if more than one application is stored in the same directory or if the source files of an application are stored in more than more directory.

-table <tabfile>
    Generate the OPARI runtime table in file tabfile. This option has to be used either together with the call to OPARI for the transformation of the last input source file or with a separate call to OPARI after all transformations are done.

-disable <construct>
    [OPTIONAL] Disable the instrumentation of the more fine-grained OpenMP constructs such as !$OMP ATOMIC. constructs is a comma separated list of the constructs for which the instrumentation should be disabled. Accepted tokens are atomic, critical, master, flush, single, or locks as well as sync to disable all of them.

SEE ALSO
/usr/share/doc/opari/Readme.html

AUTHOR
opari was written by Bernd Mohr.

This manual page was adapted from Readme.html by Samuel Thibault <sthibault@debian.org>, for the Debian project (and may be used by others).